Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048376
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2022-01-11 14:242022-01-19 19:20
Reporterprakashmurugesan88View Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048376: JIRA 2592 - Allow to open drawer if payment is marked as "cash" and flag has the flag "Open drawer before closing order"

DescriptionAllow to open drawer if payment is marked as "cash" and has the flag "Open drawer before closing order"

In such case,
The text of the button done changes to open,
so when it is pressed drawer is opened and text changes to done.
When done is pressed order is closed.

In old POS it is working
Steps To ReproduceIn BO,
Configure Hardwaremanager.
Touchpoint Type - Payment Method:
For cash payment method enable checkbox "Open Drawer Before Closing Ticket".

In POS,
Create a receipt and add cash payment.
Notice open button is not shown.

It should display open button to open drawer.
When it is pressed drawer is opened and button text changes to done.
Proposed SolutionWhen cash payment is selected with the "Open Drawer Before Closing Ticket" flag enabled.
Change Text of Done button to "Open".
When it is pressed drawer is opened and text changes to done.
When done is pressed order closed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0134383)
hgbot (developer)
2022-01-19 11:59

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/781 [^]

- Issue History
Date Modified Username Field Change
2022-01-11 14:24 prakashmurugesan88 New Issue
2022-01-11 14:24 prakashmurugesan88 Assigned To => prakashmurugesan88
2022-01-11 14:24 prakashmurugesan88 File Added: Screen Shot 2022-01-11 at 5.38.40 PM.png
2022-01-11 14:24 prakashmurugesan88 Triggers an Emergency Pack => No
2022-01-11 14:24 prakashmurugesan88 Status new => scheduled
2022-01-17 09:51 prakashmurugesan88 Summary Preference 'Web POS Close Drawer Before Continue' is not working in POS2 => Drawer is not closed when order is closed
2022-01-17 09:51 prakashmurugesan88 Description Updated View Revisions
2022-01-17 09:51 prakashmurugesan88 Steps to Reproduce Updated View Revisions
2022-01-17 09:51 prakashmurugesan88 Proposed Solution updated
2022-01-17 09:52 prakashmurugesan88 File Deleted: Screen Shot 2022-01-11 at 5.38.40 PM.png
2022-01-18 09:59 prakashmurugesan88 Summary Drawer is not closed when order is closed => Allow to open drawer if payment is marked as "cash" and flag has the flag "Open drawer before closing order"
2022-01-18 09:59 prakashmurugesan88 Description Updated View Revisions
2022-01-18 09:59 prakashmurugesan88 Steps to Reproduce Updated View Revisions
2022-01-18 09:59 prakashmurugesan88 Proposed Solution updated
2022-01-19 11:59 hgbot Note Added: 0134383
2022-01-19 19:20 guilleaer Summary Allow to open drawer if payment is marked as "cash" and flag has the flag "Open drawer before closing order" => JIRA 2592 - Allow to open drawer if payment is marked as "cash" and flag has the flag "Open drawer before closing order"


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker